#!/usr/bin/Rscript --vanilla

maximum <- function(data, arguments) {
	# We must look for tne minimun and maximum of the list of vectors
	if (arguments > 1) {
		temp <- c(min(sapply(data, function(z) min(z))), max (sapply(data, function(z) max(z))))
	} else {
		temp <- range(data[[1]])
	}
	return(temp)
}

args <- commandArgs(TRUE)

if (length(args) != 1) {
	print("SYNTAX: general.R [file]")
	q()
}

generation <- list()
bestRawGen <- list()
meanRawGen <- list()
meanAdjustedGen <- list()
bestAdjustedGen <- list()
bestHitsGen <- list()
meanHitsGen <- list()


file=paste(args[1],  sep="")
data <- read.table(file, header=T)
head(data)
generation <- data$generation
bestRawGen <- data$bestRawGen
meanRawGen <- data$meanRawGen
bestAdjustedGen <- data$bestAdjustedGen
meanAdjustedGen <- data$meanAdjustedGen
bestHitsGen <- data$bestHitsGen
meanHitsGen <- data$meanHitsGen
avgNodesIndGen <- data$avgNodesIndGen
avgDepthIndGen <- data$avgDepthIndGen
#Plot preparations
x11()

par(ask=TRUE)
par(mfcol=c(2,3))
	
plot(generation, bestRawGen, type="l", ylim=c(0,46), xlab="Generations", ylab="Raw Best Fitness", col="red")
#plot(generation, bestRawGen, type="l", xlab="Generations", ylab="Raw Best Fitness", col="red")
# Best raw fitness

#legend(xrange[1], yrange[2], params, cex=0.8, col=colors, pch=plotchar, lty=linetype)
# Mean raw Fitness
plot(generation, meanRawGen, type="l", ylim=c(0,46), xlab="Generations", ylab="Raw Mean Fitness", col="red")
#plot(generation, meanRawGen, type="l", ylim=, xlab="Generations", ylab="Raw Mean Fitness", col="red")

plot(generation, bestHitsGen, type="l", xlab="Generations", ylab="Best Hits Gen", col="red")

plot(generation, meanHitsGen, type="l", xlab="Generations", ylab="Mean hit", col="red")

plot(generation, avgNodesIndGen, type="l", xlab="Generations", ylab="Average Nodes", col="red")

plot(generation, avgDepthIndGen, type="l", xlab="Generations", ylab="Average Depth", col="red")
	
while(1) Sys.sleep(10)
