#!/usr/bin/Rscript --vanilla

maximum <- function(data, arguments) {
	# We must look for tne minimun and maximum of the list of vectors
	if (arguments > 1) {
		temp <- c(min(sapply(data, function(z) min(z))), max (sapply(data, function(z) max(z))))
	} else {
		temp <- range(data[[1]])
	}
	return(temp)
}

args <- commandArgs(TRUE)

if (length(args) != 1) {
	print("SYNTAX: general.R [file]")
	q()
}

generation <- list()
bestRawGen <- list()
meanRawGen <- list()
meanAdjustedGen <- list()
bestAdjustedGen <- list()
bestHitsGen <- list()
meanHitsGen <- list()


file=paste(args[1],  sep="")
data <- read.table(file, header=T)
head(data)
generation <- data$generation
bestRawGen <- data$bestRawGen
meanRawGen <- data$meanRawGen
bestAdjustedGen <- data$bestAdjustedGen
meanAdjustedGen <- data$meanAdjustedGen
bestHitsGen <- data$bestHitsGen
meanHitsGen <- data$meanHitsGen
avgNodesIndGen <- data$avgNodesIndGen
avgDepthIndGen <- data$avgDepthIndGen
#Plot preparations
#x11()
#postscript(file="../figs/depth-k2.eps", width=7, height=3.5, paper="special", horizontal=FALSE)
postscript(file="../figs/depth-k2.eps", width=6, height=6, paper="special", horizontal=FALSE)

#par(mfcol=c(2,1))#,  mar=c(1.4,1.1,0,0), oma=c(2,2,1.5,0.2), mgp=c(1, 1, 0), cex=1.2)
par(mfcol=c(2,1),  mar=c(2,2,0,1), oma=c(1,1,1.5,0.2), mgp=c(1.15, 0.45, 0), cex=1.2)
	
#plot(generation, meanRawGen, type="l", xlab="", ylab="Fitness", col="red", ylim=c(10, max(meanRawGen)))
#lines(generation, bestRawGen, type="l", xlab="", ylab="", col="red", lty="dashed")
#legend("topright", c("Mean fitness", "Best-of-generation fitness"), col=c("red","red"), lty=c("solid", "dashed"), cex=0.8, bty="n")
#grid()

plot(generation, avgDepthIndGen, type="l", xlab="", ylab="Average depth", col="red")
grid()

plot(generation, avgNodesIndGen, type="l", xlab="Generations", ylab="Average number of nodes", col="red")
grid()
	
#dev.copy2eps(file="../figs/depth-k2.eps");

#while(1) Sys.sleep(10)
