#!/usr/bin/Rscript --vanilla
library(HH)
library(Hmisc)
args <- commandArgs(TRUE)

if (length(args) == 0) {
	print("SYNTAX: tango.R [file1]")
	q()
}

par(mar=c(0,0,0,0), oma=c(0,0,0,0),  mgp=c(1.15, 0.45, 0))
#trellis.device("postscript", color=TRUE, file="borrar.ps")
#x11(width=7, height=3)
#postscript(file="tango-k2.eps", colormodel="rgb-nogray", width=7, height=3, paper="special", horizontal=FALSE, pointsize=1)
pdf(file="tango-id.pdf", colormodel="rgb-nogray", width=7, height=3, paper="special", pointsize=1)
#pdf(file="depth-k2.pdf", colormodel="rgb-nogray", width=9, height=3.5, paper="special")
#postscript(file="../figs/depth-k2.eps", width=7, height=3.5, paper="special", horizontal=FALSE)

data <- read.table(args[1], header=T)
#data$function = factor(data$function)
bwplot(distance ~ sessions|function.,
	data=data, aspect=1, layout = c(4,1), 
	horizontal=FALSE, pch=20, cex=0.4,
	xlab=list(label="Number of eavesdropped sessions", cex=0.8),
	ylab=list(label="Recovered bits of ID", cex=0.8),
	scales=list(x=list(cex=0.7, labels=c(5,10,15,20,25,30,35,40,45,50), alternating = c(1,1,1,1)), y=list(cex=0.7)), 
	par.strip.text = list(cex = 0.75),
	par.settings = list(plot.symbol = list(pch=".", cex=2)),
	panel = function(...) {
	     panel.grid(v = -1, h = -1)
		 panel.bwplot(...)
	})

#dev.copy2eps(file="../figs/tango-k2.eps");
#dev.copy2pdf(file="kk.pdf");
dev.off()
#while(1) Sys.sleep(10)
