#!/usr/bin/Rscript --vanilla

library(HH)

first = TRUE
#postscript(file="figs/full-id.eps", width=8, height=4, paper="special", horizontal=FALSE, colormode="rgb-nogray")
x11(width=7)#, pointsize=12)
#x11()
#postscript(file="tangoFull.eps", width=8, paper="special", horizontal=FALSE,colormode="rgb-nogray")

temp1 <- read.table("../datasets/tangoDP-full-id.dat", header=T)
temp1$secret <- "ID"

temp2 <- read.table("../datasets/tangoDP-full-k1.dat", header=T)
temp2$secret <- "K1"

temp3 <- read.table("../datasets/tangoDP-full-k2.dat", header=T)
temp3$secret <- "K2"

#temp4 <- read.table("tangoDP-id.dat", header=T)
#temp4$secret <- "ID"
#temp4 <- subset(temp4, function. == "Evolved")

#temp5 <- read.table("tangoDP-k1.dat", header=T)
#temp5$secret <- "K1"
#temp5$function. <- "Evolved"
#temp5 <- subset(temp5, function. == "Evolved")

#temp6 <- read.table("tangoDP-k2.dat", header=T)
#temp6$secret <- "K2"
#temp6$function. <- "Evolved"
#temp6 <- subset(temp6, function. == "Evolved")

#data <- rbind(temp1, temp2, temp3, temp4, temp5, temp6)
data <- rbind(temp1, temp2, temp3)


#data$function = factor(data$function)
print(data)
bwplot(distance ~ sessions|function. + secret, aspect=0.8,
	data=data, 
	horizontal=FALSE, pch=20, cex=0.4,
	main="Tango attack with several approximations", 
	ylab="Number of recovered bits", 
	xlab="Number of eavesdropped sessions",
	scales=list(x=list(cex=0.7, labels=c(5,10,15,20,25,30,35,40,45,50), alternating = c(1,1,1,1)), y=list(cex=0.7)), 
	par.strip.text = list(cex = 0.75),
	par.settings = list(plot.symbol = list(pch=".", cex=2)),
	panel = function(...) {
	    panel.grid(v = -1, h = -1)
	    panel.bwplot(...)
	})


	#plot(data$sessions, data$distance)
	#boxplot(data$distance, data$sessions, ylab="Recovered bits of IS", xlab="Number of evesdropped sessions", col="grey", main="David-Prasad ID", boxwex = 0.25, at = 1:length(sizes) - 0.2)
#bwplot(distance ~ sessions|function, data=data, ylab="Recovered bits of IS", xlab="Number of evesdropped sessions", horizontal=FALSE)
#xyplot(distance ~ sessions*function, data, main = "David-Prasad protocol Tango attack",
#		panel = panel.bwplot, horizontal = FALSE, ylab = "Bits recovered",
#		xlab = "Number of evesdropped sessions", box.ratio =0.5)
dev.copy2eps(file="tangoFull.eps")
while(1) Sys.sleep(10)
#dev.close()
